none
Running WCF LOB Oracle Adapter sample with BizTalk Server 2009 RRS feed

  • Question

  • Hello

    I get the FileNotFoundException for
    Oracle.DataAccess, Version=2.111.7.0, Culture=neutral, PublicKeyToken=89b483f429c47342'
    while running one of the samples for Oracle Database LOB WCF Adapter available in the CTP version of Adapters Pack v2 (we downloaded it from the Microsoft Connect site)

    What is it that I am missing?

    Thanks in advance.
    Wednesday, April 1, 2009 9:05 AM

Answers

  • You will get that dll from Oracle site through one of the two ways:

    1. Install the latest instant client from Oracle site.
    2. Install full Oracle client 11.1.0.6, and then apply the patch (#6890831) to upgrade it to 11.1.0.7.


    Thanks
    Gaurav
    Wednesday, April 1, 2009 10:30 AM

All replies

  • Hi Advait,

    Which oracle client version you have installed on your machine? Might be you are having wrong version.

    Or it might be that you haven't GACed the Oracle.DataAccess.dll. Check the version of Oracle.DataAccess.dll under your
    <OracleClientInsallationLocation>\product\11.1.0\client_1\ODP.NET\bin\2.x folder. If it is same as mentioned above (2.111.7.0), then GACing this dll will solve your problem.

    Thanks
    Gaurav

    Wednesday, April 1, 2009 10:03 AM
  • Hi Gaurav

    Thanks for the guidance... I just checked and the version I have is: 2.111.6.0.

    Any idea where I can get version 2.111.7.0?

    Thanks again
    Advait
    Wednesday, April 1, 2009 10:14 AM
  • You will get that dll from Oracle site through one of the two ways:

    1. Install the latest instant client from Oracle site.
    2. Install full Oracle client 11.1.0.6, and then apply the patch (#6890831) to upgrade it to 11.1.0.7.


    Thanks
    Gaurav
    Wednesday, April 1, 2009 10:30 AM
  • I already tried doing that... I downloaded the file p7705204_111070_Win32.zip using Metalink, unzipped it, and got PRODUCTION-11.1.0.7.0B - AWM.zip.  Unzipped it, and got awm111070B_DBClient.zip.

    I extracted this .zip file and copied file as mentioned in the Readme.txt to install the patch.  This did not resolve the issue because there was no Oracle.DataAccess.dll in it.

    Even after extracting all the child zip files, there was no Oracle.DataAccess.dll.

    Thanks,
    Advait
    Wednesday, April 1, 2009 10:57 AM
  • Sorry to bother, but I now get another error in Event Viewer that "(Microsoft.ServiceModel.Channels.Common.AdapterException) The license for Microsoft BizTalk Adapter Pack 2.0 May CTP has expired. Contact Microsoft to renew your license." I could not find info for this one on the Microsoft Connect website. Any clues? Again, thanks for trying to help. Regards, Advait
    Wednesday, April 1, 2009 11:01 AM
  • Seems your licence for the CTP bits is expired. You can try the beta bits from this location:

    http://connect.microsoft.com/Downloads/Downloads.aspx?SiteID=218

    This is 120 day evaluation version.

    Thanks
    Gaurav

    Wednesday, April 1, 2009 11:14 AM
  • Sorry, I didnt see your post saying you couldnt find the Oracle.DataAccess.dll in the patch zip folder. There is a setup.exe in the zip folder, which you should run. This should change the existing old dll with the new dll.
    Wednesday, April 1, 2009 11:59 AM
  • Thanks Gaurav. If so it seems that I got the wrong file downloaded. I will check for the correct one. Regarding the CTP expiration, usually an expired license does not work until the preview date is extended by the vendor (Microsoft). Are you sure it will stop giving the "The license for Microsoft BizTalk Adapter Pack 2.0 May CTP has expired" message if I download it once again from the Microsoft Connect website? Or should I ask that in a separate question in this forum? Thanks again for trying to help!! Regards, Advait
    Wednesday, April 1, 2009 2:08 PM
  • I'm not sure whether downloading CTP bits again will solve the problem. In my reply, I suggested to use the "beta" bits of the adapter from the link provided.
    Wednesday, April 1, 2009 2:19 PM
  • Hey Advait,

    No, re-downloading the CTP build won't work. As Gaurav suggested, pls use the Beta build. Please let us know if you hit any issues downloading the Beta build.

    Thanks,
    Murali
    This posting is provided "AS IS" with no warranties, and confers no rights. Use of included script samples are subject to the terms specified at http://www.microsoft.com/info/cpyright.htm
    Thursday, April 2, 2009 6:45 PM
  • Hi there,

    I am having exactly the same issue i.e. the adapter is looking for the Oracle.DataAccess, Version=2.111.7.0, I tried everything today to put this dll  in my GAC with no success. I have access to metalink.oracle.com and I still couldn't get the Oracle.DataAccess with the right version. Could anyone give me the exact patch number in metalink?

    What are all the prerequisites? what do I need to install to get the WCF-OracleDB adapter work?


    In the documentation of the WCF-OracleDB adapter it states that :

    Supported client versions: Oracle Data Access Components for Oracle Client 11.1.0.6 with Patch Set 11.1.0.7

    Important 
    If you want to use the adapter to perform transactions on the Oracle database, make sure you install the Oracle Services For Microsoft Transaction Server component on the computer running the adapter client. You must install this as part of the Oracle client installation.
     
    Note 
    To make sure your application works with the most recent version of ODP.NET, you must have the "policy DLLs" installed on the computer and registered in the GAC. For more information, see "Oracle Data Provider for .NET FAQ" at http://go.microsoft.com/fwlink/?LinkID=92834.
     
    It seems that something is wrong with this adapter and the prerequisites !

    Wednesday, October 21, 2009 4:49 PM
  • The patch that works for me is 6890831. You mentioned that you have access to metalink - this information is easily available via that site.

    Thursday, October 22, 2009 6:28 AM
  • Just for information I found the solution without installing patches, just the latest version, please check the thread
    http://social.msdn.microsoft.com/Forums/fr-FR/biztalkr2adapters/thread/84ea27b0-ef7a-462b-af2d-0d192804a817

    I'am still facing many problems related to how to configure polling of function in Oracle ! any sample on this? what is the polling statement?
    Thursday, October 22, 2009 9:55 PM